中危 Linux kernel 资源管理错误漏洞

CVE编号

CVE-2020-27820

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-11-03
漏洞描述
Linux kernel是美国Linux基金会的开源操作系统Linux所使用的内核。

Linux kernel 存在资源管理错误漏洞,该漏洞源于当nouveau的postclose()在处理程序时,如果删除设备会发生use-after-frees。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://lore.kernel.org/dri-devel/20201103194912.184413-2-jcline@redhat.com/。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 debian_10 linux * Up to
(excluding)
4.19.208-1
运行在以下环境
系统 debian_11 linux * Up to
(excluding)
5.10.84-1
运行在以下环境
系统 debian_12 linux * Up to
(excluding)
5.15.3-1
运行在以下环境
系统 debian_9 linux * Up to
(excluding)
4.9.228-1
运行在以下环境
系统 debian_sid linux * Up to
(excluding)
5.15.3-1
运行在以下环境
系统 fedoraproject fedora 33 -
运行在以下环境
系统 linux linux_kernel - -
运行在以下环境
系统 opensuse_Leap_15.3 linux * Up to
(excluding)
5.3.18-38.34.1
运行在以下环境
系统 suse_12_SP5 linux * Up to
(excluding)
4.12.14-122.106.1
阿里云评分
4.3
  • 攻击路径
    本地
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-416 释放后使用
阿里云安全产品覆盖情况